Create a platform integration
curl --request POST \
--url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/platform_integrations \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"credentials": "<unknown>"
}
'import requests
url = "https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/platform_integrations"
payload = {
"name": "<string>",
"credentials": "<unknown>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', credentials: '<unknown>'})
};
fetch('https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/platform_integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credentials": "<unknown>"
}Platform Integrations
Create a platform integration
Create a new platform integration in a workspace. The credentials will be encrypted before storing.
POST
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
platform_integrations
Create a platform integration
Authorizations
Path Parameters
A UUID string identifying the organization.
A UUID string identifying the workspace.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data*/*
Response
The created platform integration.
Maximum string length:
255google_ads- google adstiktok- tiktok
Available options:
google_ads, tiktok active- activeexpired- expired
Available options:
active, expired Was this page helpful?
⌘I